/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Particle.h"

#include <bear/Vector2.h>
using namespace bear;


/// ***** Constructors/Destructors *****

Particle::Particle(const Vector2& pos, bool canDie)
    : Entity(pos), canDie(canDie)
{

}
Particle::Particle(const Vector2& pos, float lifeTime)
    : Entity(pos), lifeTime(lifeTime)
{

}
Particle::~Particle()
{

}

/// ***** Public Class Methods *****

void Particle::update(float time_step)
{
    if(isDead)
        return;

    if (canDie)
    {
        lifeTime -= time_step;
        isDead = lifeTime <= 0;
    }
    position += velocity * time_step;
}
