/*
 *  Copyright (C) 2008 Patrik Gornicz, Gornicz_P (at) hotmail (dot) com.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "keys.h"

#include <bear/debug.h>
using namespace bear;

#include <SDL/SDL.h>

/// ***** Definitions of the extern keys *****
SDLKey key::pause    = SDLK_p;
SDLKey key::end      = SDLK_ESCAPE;
SDLKey key::follow   = SDLK_f;
SDLKey key::well     = SDLK_SPACE;

key::inputMap key::sdlMap;

void key::init()
{
    key::sdlMap["pause"]     = &key::pause;
    key::sdlMap["end"]       = &key::end;
    key::sdlMap["follow"]    = &key::follow;
    key::sdlMap["well"]      = &key::well;
}
